Merge "Add Clover gambia rtd job"
authorTrevor Bramwell <tbramwell@linuxfoundation.org>
Wed, 14 Nov 2018 18:31:46 +0000 (18:31 +0000)
committerGerrit Code Review <gerrit@opnfv.org>
Wed, 14 Nov 2018 18:31:46 +0000 (18:31 +0000)
jjb/functest/functest-virtual.yaml
jjb/ovn4nfv/golang-make-test.sh [new file with mode: 0644]
jjb/ovn4nfv/ovn4nfv-k8s-plugins-project-jobs.yaml [new file with mode: 0644]
jjb/releng/opnfv-docker.yaml

index a25f980..df02766 100644 (file)
@@ -1,6 +1,22 @@
 ---
+- functest-defaultparameters: &functest-defaultparameters
+    name: 'functest-defaultparameters'
+    repo: opnfv
+    tag:
+      - gambia
+      - hunter
+      - latest
+
+- functest-buildparameters: &functest-buildparameters
+    name: 'functest-buildparameters'
+    parameters:
+      - functest-virtual-defaults
+      - string:
+          name: branch
+          default: master
+
 - job-template:
-    name: '{repo}-functest-{container}-{tag}-{test}'
+    name: '{repo}-functest-{container}-{test}-{tag}-run'
     parameters:
       - functest-virtual-defaults
     builders:
             {repo}/functest-{container}:{tag} run_tests -t {test}
 
 - project:
-    name: 'opnfv-functest-healthcheck'
+    name: repo-functest-healthcheck-test-tag-run
+    <<: *functest-defaultparameters
     container: healthcheck
-    repo: opnfv
-    tag:
-      - gambia
-      - hunter
-      - latest
     test:
       - connection_check
       - tenantnetwork1
       - api_check
       - snaps_health_check
     jobs:
-      - '{repo}-functest-{container}-{tag}-{test}'
+      - '{repo}-functest-{container}-{test}-{tag}-run'
+
+- functest-healthcheckjobs: &functest-healthcheckjobs
+    name: 'functest-healthcheckjobs'
+    projects:
+      - name: '{repo}-functest-healthcheck-connection_check-{tag}-run'
+      - name: '{repo}-functest-healthcheck-tenantnetwork1-{tag}-run'
+      - name: '{repo}-functest-healthcheck-tenantnetwork2-{tag}-run'
+      - name: '{repo}-functest-healthcheck-vmready1-{tag}-run'
+      - name: '{repo}-functest-healthcheck-vmready2-{tag}-run'
+      - name: '{repo}-functest-healthcheck-singlevm1-{tag}-run'
+      - name: '{repo}-functest-healthcheck-singlevm2-{tag}-run'
+      - name: '{repo}-functest-healthcheck-vping_ssh-{tag}-run'
+      - name: '{repo}-functest-healthcheck-vping_userdata-{tag}-run'
+      - name: '{repo}-functest-healthcheck-cinder_test-{tag}-run'
+      - name: '{repo}-functest-healthcheck-odl-{tag}-run'
+      - name: '{repo}-functest-healthcheck-api_check-{tag}-run'
+      - name: '{repo}-functest-healthcheck-snaps_health_check-{tag}-run'
 
 - project:
-    name: 'opnfv-functest-smoke'
+    name: repo-functest-smoke-test-tag-run
+    <<: *functest-defaultparameters
     container: smoke
-    repo: opnfv
-    tag:
-      - gambia
-      - hunter
-      - latest
     test:
       - tempest_smoke
+      - neutron-tempest-plugin-api
+      - rally_jobs
       - refstack_defcore
       - patrole
+      - snaps_smoke
+      - neutron_trunk
+      - networking-bgpvpn
+      - networking-sfc
+      - barbican
     jobs:
-      - '{repo}-functest-{container}-{tag}-{test}'
+      - '{repo}-functest-{container}-{test}-{tag}-run'
+
+- functest-smokejobs: &functest-smokejobs
+    name: 'functest-smokejobs'
+    projects:
+      - name: '{repo}-functest-smoke-tempest_smoke-{tag}-run'
+      - name: '{repo}-functest-smoke-neutron-tempest-plugin-api-{tag}-run'
+      - name: '{repo}-functest-smoke-rally_jobs-{tag}-run'
+      - name: '{repo}-functest-smoke-refstack_defcore-{tag}-run'
+      - name: '{repo}-functest-smoke-patrole-{tag}-run'
+      - name: '{repo}-functest-smoke-snaps_smoke-{tag}-run'
+      - name: '{repo}-functest-smoke-neutron_trunk-{tag}-run'
+      - name: '{repo}-functest-smoke-networking-bgpvpn-{tag}-run'
+      - name: '{repo}-functest-smoke-networking-sfc-{tag}-run'
+      - name: '{repo}-functest-smoke-barbican-{tag}-run'
+
+- project:
+    name: repo-functest-benchmarking-test-tag-run'
+    <<: *functest-defaultparameters
+    container: benchmarking
+    test:
+      - vmtp
+      - shaker
+    jobs:
+      - '{repo}-functest-{container}-{test}-{tag}-run'
+
+- functest-benchmarkingjobs: &functest-benchmarkingjobs
+    name: 'functest-benchmarkingjobs'
+    projects:
+      - name: '{repo}-functest-benchmarking-vmtp-{tag}-run'
+      - name: '{repo}-functest-benchmarking-shaker-{tag}-run'
+
+- project:
+    name: repo-functest-components-test-tag-run
+    <<: *functest-defaultparameters
+    container: components
+    test:
+      - tempest_full
+      - tempest_scenario
+      - rally_full
+    jobs:
+      - '{repo}-functest-{container}-{test}-{tag}-run'
+
+- functest-componentsjobs: &functest-componentsjobs
+    name: 'functest-componentsjobs'
+    projects:
+      - name: '{repo}-functest-components-tempest_full-{tag}-run'
+      - name: '{repo}-functest-components-tempest_scenario-{tag}-run'
+      - name: '{repo}-functest-components-rally_full-{tag}-run'
+
+- project:
+    name: repo-functest-vnf-{test}-{tag}-run
+    <<: *functest-defaultparameters
+    container: vnf
+    test:
+      - cloudify
+      - cloudify_ims
+      - heat_ims
+      - vyos_vrouter
+      - juju_epc
+    jobs:
+      - '{repo}-functest-{container}-{test}-{tag}-run'
+
+- functest-vnfjobs: &functest-vnfjobs
+    name: 'functest-vnfjobs'
+    projects:
+      - name: '{repo}-functest-vnf-cloudify-{tag}-run'
+      - name: '{repo}-functest-vnf-cloudify_ims-{tag}-run'
+      - name: '{repo}-functest-vnf-heat_ims-{tag}-run'
+      - name: '{repo}-functest-vnf-vyos_vrouter-{tag}-run'
+      - name: '{repo}-functest-vnf-juju_epc-{tag}-run'
+
+- project:
+    name: repo-functest-features-test-tag-run
+    <<: *functest-defaultparameters
+    container: features
+    test:
+      - doctor-notification
+      - bgpvpn
+      - functest-odl-sfc
+      - barometercollectd
+      - vgpu
+      - stor4nfv_os
+    jobs:
+      - '{repo}-functest-{container}-{test}-{tag}-run'
+
+- functest-featuresjobs: &functest-featuresjobs
+    name: 'functest-featuresjobs'
+    projects:
+      - name: '{repo}-functest-features-doctor-notification-{tag}-run'
+      - name: '{repo}-functest-features-bgpvpn-{tag}-run'
+      - name: '{repo}-functest-features-functest-odl-sfc-{tag}-run'
+      - name: '{repo}-functest-features-barometercollectd-{tag}-run'
+      - name: '{repo}-functest-features-vgpu-{tag}-run'
+      - name: '{repo}-functest-features-stor4nfv_os-{tag}-run'
 
 - job-template:
-    name: 'functest-virtual'
+    name: '{repo}-functest-{tag}-daily'
+    <<: *functest-defaultparameters
     project-type: multijob
-    node: 'functest-virtual'
+    parameters:
+      - functest-virtual-defaults
     builders:
       - multijob:
-          name: functest gambia
+          name: healthcheck
+          <<: *functest-healthcheckjobs
+      - multijob:
+          name: smoke
+          <<: *functest-smokejobs
+      - multijob:
+          name: benchmarking
+          <<: *functest-benchmarkingjobs
+      - multijob:
+          name: features
+          <<: *functest-featuresjobs
+
+- project:
+    name: repo-functest-tag-daily
+    <<: *functest-defaultparameters
+    jobs:
+      - '{repo}-functest-{tag}-daily'
+
+- scm:
+    name: functest-gerrit
+    scm:
+      - git:
+          url: https://gerrit.opnfv.org/gerrit/functest
+          refspec: '+refs/changes/*:refs/changes/*'
+          branches:
+            - ${branch}
+
+- job-template:
+    name: '{repo}-functest-{container}-{tag}-build'
+    <<: *functest-buildparameters
+    scm:
+      - functest-gerrit
+    builders:
+      - shell: |
+          case "{container}" in
+          "components")
+              args="" ;;
+          *)
+              args="--build-arg BRANCH=${{branch}}" ;;
+          esac
+          cd docker/$(echo {container} |cut -d\- -f 2)
+          sudo docker build \
+            ${{args}} --pull=false --no-cache --force-rm=true \
+            -t {repo}/functest-{container}:{tag} .
+
+- project:
+    name: repo-functest-container-tag-build
+    <<: *functest-defaultparameters
+    container:
+      - core
+      - tempest
+      - healthcheck
+      - smoke
+      - benchmarking
+      - components
+      - vnf
+      - features
+    jobs:
+      - '{repo}-functest-{container}-{tag}-build'
+
+- functest-projectparameters: &functest-projectparameters
+    name: 'functest-projectparameters'
+    current-parameters: true
+
+- job-template:
+    name: '{repo}-functest-{tag}-gate'
+    project-type: multijob
+    <<: *functest-buildparameters
+    builders:
+      - multijob:
+          name: build functest-core
           projects:
-            - name: 'opnfv-functest-healthcheck-gambia-connection_check'
-            - name: 'opnfv-functest-healthcheck-gambia-tenantnetwork1'
-            - name: 'opnfv-functest-healthcheck-gambia-tenantnetwork2'
-            - name: 'opnfv-functest-healthcheck-gambia-vmready1'
-            - name: 'opnfv-functest-healthcheck-gambia-vmready2'
-            - name: 'opnfv-functest-healthcheck-gambia-singlevm1'
-            - name: 'opnfv-functest-healthcheck-gambia-singlevm2'
-            - name: 'opnfv-functest-healthcheck-gambia-vping_ssh'
-            - name: 'opnfv-functest-healthcheck-gambia-vping_userdata'
-            - name: 'opnfv-functest-healthcheck-gambia-cinder_test'
-            - name: 'opnfv-functest-healthcheck-gambia-odl'
-            - name: 'opnfv-functest-healthcheck-gambia-api_check'
-            - name: 'opnfv-functest-healthcheck-gambia-snaps_health_check'
-            - name: 'opnfv-functest-smoke-gambia-tempest_smoke'
-            - name: 'opnfv-functest-smoke-gambia-refstack_defcore'
-            - name: 'opnfv-functest-smoke-gambia-patrole'
+            - name: '{repo}-functest-core-{tag}-build'
+              <<: *functest-projectparameters
       - multijob:
-          name: functest hunter
+          name: build functest-tempest
           projects:
-            - name: 'opnfv-functest-healthcheck-hunter-connection_check'
-            - name: 'opnfv-functest-healthcheck-hunter-tenantnetwork1'
-            - name: 'opnfv-functest-healthcheck-hunter-tenantnetwork2'
-            - name: 'opnfv-functest-healthcheck-hunter-vmready1'
-            - name: 'opnfv-functest-healthcheck-hunter-vmready2'
-            - name: 'opnfv-functest-healthcheck-hunter-singlevm1'
-            - name: 'opnfv-functest-healthcheck-hunter-singlevm2'
-            - name: 'opnfv-functest-healthcheck-hunter-vping_ssh'
-            - name: 'opnfv-functest-healthcheck-hunter-vping_userdata'
-            - name: 'opnfv-functest-healthcheck-hunter-cinder_test'
-            - name: 'opnfv-functest-healthcheck-hunter-odl'
-            - name: 'opnfv-functest-healthcheck-hunter-api_check'
-            - name: 'opnfv-functest-healthcheck-hunter-snaps_health_check'
-            - name: 'opnfv-functest-smoke-hunter-tempest_smoke'
-            - name: 'opnfv-functest-smoke-hunter-refstack_defcore'
-            - name: 'opnfv-functest-smoke-hunter-patrole'
+            - name: '{repo}-functest-tempest-{tag}-build'
+              <<: *functest-projectparameters
       - multijob:
-          name: functest latest
+          name: build all remaining contrainers
           projects:
-            - name: 'opnfv-functest-healthcheck-latest-connection_check'
-            - name: 'opnfv-functest-healthcheck-latest-tenantnetwork1'
-            - name: 'opnfv-functest-healthcheck-latest-tenantnetwork2'
-            - name: 'opnfv-functest-healthcheck-latest-vmready1'
-            - name: 'opnfv-functest-healthcheck-latest-vmready2'
-            - name: 'opnfv-functest-healthcheck-latest-singlevm1'
-            - name: 'opnfv-functest-healthcheck-latest-singlevm2'
-            - name: 'opnfv-functest-healthcheck-latest-vping_ssh'
-            - name: 'opnfv-functest-healthcheck-latest-vping_userdata'
-            - name: 'opnfv-functest-healthcheck-hunter-cinder_test'
-            - name: 'opnfv-functest-healthcheck-latest-odl'
-            - name: 'opnfv-functest-healthcheck-hunter-api_check'
-            - name: 'opnfv-functest-healthcheck-latest-snaps_health_check'
-            - name: 'opnfv-functest-smoke-latest-tempest_smoke'
-            - name: 'opnfv-functest-smoke-latest-refstack_defcore'
-            - name: 'opnfv-functest-smoke-latest-patrole'
+            - name: '{repo}-functest-healthcheck-{tag}-build'
+              <<: *functest-projectparameters
+            - name: '{repo}-functest-smoke-{tag}-build'
+              <<: *functest-projectparameters
+            - name: '{repo}-functest-benchmarking-{tag}-build'
+              <<: *functest-projectparameters
+            - name: '{repo}-functest-components-{tag}-build'
+              <<: *functest-projectparameters
+            - name: '{repo}-functest-vnf-{tag}-build'
+              <<: *functest-projectparameters
+            - name: '{repo}-functest-features-{tag}-build'
+              <<: *functest-projectparameters
+      - multijob:
+          name: healthcheck
+          <<: *functest-healthcheckjobs
+      - multijob:
+          name: smoke
+          <<: *functest-smokejobs
+      - multijob:
+          name: benchmarking
+          <<: *functest-benchmarkingjobs
+      - multijob:
+          name: features
+          <<: *functest-featuresjobs
 
 - project:
-    name: 'functest-virtual'
+    name: repo-functest-tag-gate
+    <<: *functest-defaultparameters
     jobs:
-      - 'functest-virtual'
+      - '{repo}-functest-{tag}-gate'
diff --git a/jjb/ovn4nfv/golang-make-test.sh b/jjb/ovn4nfv/golang-make-test.sh
new file mode 100644 (file)
index 0000000..7ed4632
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018 Intel Corporation.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o pipefail
+
+source /etc/os-release || source /usr/lib/os-release
+case ${ID,,} in
+    ubuntu|debian)
+    sudo add-apt-repository -y ppa:longsleep/golang-backports
+    sudo apt-get update
+    sudo apt-get install -y build-essential golang-go
+    sudo apt-get -y clean && sudo apt-get -y autoremove
+    ;;
+esac
+
+echo "Running unit tests in Go ${golang_version} ..."
+cd $WORKSPACE
+make test
diff --git a/jjb/ovn4nfv/ovn4nfv-k8s-plugins-project-jobs.yaml b/jjb/ovn4nfv/ovn4nfv-k8s-plugins-project-jobs.yaml
new file mode 100644 (file)
index 0000000..cd8d7e0
--- /dev/null
@@ -0,0 +1,109 @@
+---
+- project:
+    name: ovn4nfv-k8s-plugin-project-jobs
+
+    project: 'ovn4nfv-k8s-plugin'
+
+    jobs:
+      - 'ovn4nfv-k8s-plugin-verify-{stream}'
+      - 'ovn4nfv-k8s-plugin-merge-{stream}'
+
+    stream:
+      - master:
+          branch: '{stream}'
+          gs-pathname: ''
+          disabled: false
+
+################################
+# job templates
+################################
+
+- job-template:
+    name: 'ovn4nfv-k8s-plugin-verify-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    parameters:
+      - project-parameter:
+          project: '{project}'
+          branch: '{branch}'
+      - opnfv-build-defaults
+
+    scm:
+      - git-scm-gerrit
+
+    triggers:
+      - gerrit:
+          server-name: 'gerrit.opnfv.org'
+          trigger-on:
+            - patchset-created-event:
+                exclude-drafts: 'false'
+                exclude-trivial-rebase: 'false'
+                exclude-no-code-change: 'false'
+            - draft-published-event
+            - comment-added-contains-event:
+                comment-contains-value: 'recheck'
+            - comment-added-contains-event:
+                comment-contains-value: 'reverify'
+          projects:
+            - project-compare-type: 'ANT'
+              project-pattern: '{project}'
+              branches:
+                - branch-compare-type: 'ANT'
+                  branch-pattern: '**/{branch}'
+
+    wrappers:
+      - ssh-agent-wrapper
+      - timeout:
+          timeout: 30
+          fail: true
+
+    builders:
+      - ovn4nfv-k8s-plugin-unit-tests-golang
+
+- job-template:
+    name: 'ovn4nfv-k8s-plugin-merge-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    parameters:
+      - project-parameter:
+          project: '{project}'
+          branch: '{branch}'
+      - opnfv-build-defaults
+
+    scm:
+      - git-scm
+
+    triggers:
+      - gerrit:
+          server-name: 'gerrit.opnfv.org'
+          trigger-on:
+            - change-merged-event
+            - comment-added-contains-event:
+                comment-contains-value: 'remerge'
+          projects:
+            - project-compare-type: 'ANT'
+              project-pattern: '{project}'
+              branches:
+                - branch-compare-type: 'ANT'
+                  branch-pattern: '**/{branch}'
+
+    wrappers:
+      - ssh-agent-wrapper
+      - timeout:
+          timeout: 30
+          fail: true
+
+    builders:
+      - ovn4nfv-k8s-plugin-unit-tests-golang
+
+################################
+# job builders
+################################
+
+- builder:
+    name: ovn4nfv-k8s-plugin-unit-tests-golang
+    builders:
+      - shell: |
+          !include-raw: ./golang-make-test.sh
index 94845c1..17235b3 100644 (file)
           <<: *yardstick-receivers
 
       # projects with jobs for euphrates
+      - 'barometer-dma':
+          project: 'barometer'
+          dockerdir: 'docker/barometer-dma'
+          <<: *gambia
+          <<: *other-receivers
       - 'barometer-collectd':
           project: 'barometer'
           dockerdir: 'docker/barometer-collectd'
-          <<: *fraser
+          <<: *gambia
           <<: *other-receivers
       - 'barometer-grafana':
           project: 'barometer'
           dockerdir: 'docker/barometer-grafana'
-          <<: *fraser
+          <<: *gambia
           <<: *other-receivers
       - 'barometer-influxdb':
           project: 'barometer'
           dockerdir: 'docker/barometer-influxdb'
-          <<: *fraser
+          <<: *gambia
           <<: *other-receivers
       - 'barometer-kafka':
           project: 'barometer'
           dockerdir: 'docker/barometer-kafka'
-          <<: *fraser
+          <<: *gambia
           <<: *other-receivers
       - 'barometer-ves':
           project: 'barometer'
           dockerdir: 'docker/barometer-ves'
-          <<: *fraser
+          <<: *gambia
           <<: *other-receivers
       - 'barometer-snmp':
           project: 'barometer'
           dockerdir: 'docker/barometer-snmp'
-          <<: *fraser
+          <<: *gambia
           <<: *other-receivers
       - 'bottlenecks':
           project: 'bottlenecks'